> ## Documentation Index
> Fetch the complete documentation index at: https://docs.korint.io/llms.txt
> Use this file to discover all available pages before exploring further.

# List signature requests for a policy



## OpenAPI

````yaml /openapi.json get /signature/by-external-id/{externalId}
openapi: 3.0.0
info:
  title: Korint Documentation
  description: Korint API Documentation
  version: 1.0.0
  contact: {}
servers: []
security:
  - bearerAuth: []
tags: []
paths:
  /signature/by-external-id/{externalId}:
    get:
      tags:
        - signatures
      summary: List signature requests for a policy
      operationId: SignatureController_getSignatureRequestsByExternalId
      parameters:
        - name: externalId
          required: true
          in: path
          schema:
            type: string
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GetSignatureRequestsByExternalIdOutput'
components:
  schemas:
    GetSignatureRequestsByExternalIdOutput:
      type: object
      properties:
        signatureRequests:
          description: the signature requests
          type: array
          items:
            $ref: '#/components/schemas/SignatureRequest'
      required:
        - signatureRequests
    SignatureRequest:
      type: object
      properties:
        metadata:
          description: metadata assigned to the object
          type: array
          items:
            $ref: '#/components/schemas/Metadata'
        id:
          type: string
          description: the id of the signature request
        name:
          type: string
          description: the name of the signature request
        deliveryMode:
          type: string
          description: the delivery mode of the signature request
          enum:
            - EMAIL
            - NONE
        externalId:
          type: string
          description: the external id of the entity linked to this signature request
        signers:
          description: the signers info
          type: array
          items:
            $ref: '#/components/schemas/SignatureSigner'
        documents:
          description: the documents to attach on the signature
          type: array
          items:
            $ref: '#/components/schemas/SignatureDocument'
        signedAt:
          format: date-time
          type: string
          description: the status of the signature request
        status:
          type: string
          description: the status of the signature request
          enum:
            - PENDING
            - SIGNED
            - CANCELLED
        isOtp:
          type: boolean
          description: if the signature request is an otp one or not
        reminderSettings:
          $ref: '#/components/schemas/SignatureRequestReminderSettings'
        createdAt:
          format: date-time
          type: string
          description: the creation date of the signature request
      required:
        - metadata
        - id
        - name
        - deliveryMode
        - externalId
        - signers
        - documents
        - status
    Metadata:
      type: object
      properties:
        key:
          type: string
          description: the key of the metadata
        value:
          type: string
          description: the value of the metadata
      required:
        - key
        - value
    SignatureSigner:
      type: object
      properties:
        customerId:
          type: string
          description: the id of the signer
        firstName:
          type: string
          description: the first name of the signer
        lastName:
          type: string
          description: the last name of the signer
        email:
          type: string
          description: the email of the signer
        phoneNumber:
          type: string
          description: the phone number of the signer
        yousignId:
          type: string
          description: the id of the signer in yousign
        status:
          type: string
          description: the signing status of this signer
          enum:
            - PENDING
            - SIGNED
            - DECLINED
            - ERROR
        documentFields:
          description: per-document fields for this signer
          type: array
          items:
            $ref: '#/components/schemas/SignerDocumentField'
      required:
        - customerId
        - firstName
        - lastName
        - email
        - phoneNumber
    SignatureDocument:
      type: object
      properties:
        id:
          type: string
          description: the id of the document
        type:
          type: string
          description: the type of the document
          enum:
            - ATTACHMENT
            - SIGNABLE_DOCUMENT
      required:
        - id
        - type
    SignatureRequestReminderSettings:
      type: object
      properties:
        delay:
          type: number
          description: the delay between reminders, in days
          enum:
            - 1
            - 2
            - 7
            - 14
        maxAttempts:
          type: number
          description: the maximum number of reminders
          minimum: 1
          maximum: 10
      required:
        - delay
        - maxAttempts
    SignerDocumentField:
      type: object
      properties:
        documentId:
          type: string
          description: the id of the document these fields apply to
        anchor:
          description: the anchor configuration
          allOf:
            - $ref: '#/components/schemas/SignatureDocumentAnchor'
        mentions:
          description: the mentions to add to the document
          type: array
          items:
            type: string
        texts:
          description: the texts to add to the document
          type: array
          items:
            type: string
        checkboxes:
          description: the checkboxes to add to the document
          type: array
          items:
            type: string
      required:
        - documentId
    SignatureDocumentAnchor:
      type: object
      properties:
        page:
          type: object
          description: the page of the anchor
        x:
          type: number
          description: the x position of the anchor
        'y':
          type: number
          description: the y position of the anchor
        height:
          type: number
          description: the height of the anchor
        width:
          type: number
          description: the width of the anchor
      required:
        - page
        - x
        - 'y'
        - height
        - width

````